seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2019/12/06, 21:59:52


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: [SOLVED] vlc update breaks ksmserver/ksmserver stürzt nach vlc-update ab  (Read 843 times)

0 Members and 1 Guest are viewing this topic.

Offline samoht

  • User
  • Posts: 323
After today's update of vlc (3.0.0.0~rc2-1) the ksmserver crashes reproducibly.
Error windows popping up, something with libvlc and phonon-vlc.
Not possible to launch the plasma desktop.
After installing the corresponding testing packages all is fine again.

Code: [Select]
# LANG=C dpkg -l *vlc* | grep ^ii
ii  libvlc-bin:amd64                2.2.8-2+b1   amd64        tools for VLC's base library
ii  libvlc5:amd64                   2.2.8-2+b1   amd64        multimedia player and streamer library
ii  libvlccore8:amd64               2.2.8-2+b1   amd64        base library for VLC and its modules
ii  phonon-backend-vlc:amd64        0.9.0-2      amd64        Phonon VLC backend
ii  phonon4qt5-backend-vlc:amd64    0.9.0-2      amd64        Phonon4Qt5 VLC backend
ii  vlc                             2.2.8-2+b1   amd64        multimedia player and streamer                                                                                                           
ii  vlc-bin                         2.2.8-2+b1   amd64        binaries from VLC                                                                                                                                                             
ii  vlc-data                        2.2.8-2      all          Common data for VLC                                                                                                                                                           
ii  vlc-l10n                        2.2.8-2      all          Translations for VLC                                                                                                                                                           
ii  vlc-plugin-base:amd64           2.2.8-2+b1   amd64        multimedia player and streamer (base plugins)                                                                                                                                   
ii  vlc-plugin-qt:amd64             2.2.8-2+b1   amd64        multimedia player and streamer (Qt plugin)                                                                                                                                     
ii  vlc-plugin-video-output:amd64   2.2.8-2+b1   amd64        multimedia player and streamer (video output plugins)

Nach dem heutigen Update von vlc (3.0.0.0~rc2-1) stürzt der ksmserver reproduzierbar ab.
Fehlerfenster tauchen auf, irgendwas mit libvlc und phonon-vlc.
Es ist nicht möglich, den Plasma-Desktop zu starten.
Nach der Installation der entsprechenden testing-Pakete ist alles wieder in Ordnung.
« Last Edit: 2017/12/23, 20:29:42 by samoht »

Offline hendrikL

  • User
  • Posts: 323
Vielleicht hilft ja dieses hier:

Code: [Select]
apt install phonon4qt5-backend-vlc- phonon-backend-vlc- phonon-backend-gstreamer phonon4qt5-backend-gstreamer
Also das phonon-backend-vlc ersetzen durch phonon-backend-gestreamer.
Auf geschnappt im IRC.

Maybe replacing  phonon-backend-vlc with phonon-backend-gestreamer helps.
« Last Edit: 2017/12/20, 15:47:24 by hendrikL »

Offline hendrikL

  • User
  • Posts: 323
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=884859

So i think it will be fixed soon,so wait with downgrading and be patient or use the gstreamer backend till the vlc backend is fixed!

Offline samoht

  • User
  • Posts: 323
Solved by today's update: No more crashes or bug windows.
Code: [Select]
# dpkg -l *phonon* | grep ^ii

ii  libphonon4:amd64                      4:4.9.1-3    amd64        multimedia framework from KDE - core library
ii  libphonon4qt5-4:amd64                 4:4.9.1-3    amd64        multimedia framework from KDE using Qt 5 - core library
ii  phonon:amd64                          4:4.9.1-3    amd64        multimedia framework from KDE using Qt 4 - metapackage
ii  phonon-backend-vlc:amd64              0.9.1-2      amd64        Phonon VLC backend
ii  phonon4qt5:amd64                      4:4.9.1-3    amd64        multimedia framework from KDE using Qt 5 - metapackage
ii  phonon4qt5-backend-vlc:amd64          0.9.1-2      amd64        Phonon4Qt5 VLC backend

Behoben durch das heutige Update: Keine Abstürze oder Bug-Fenster mehr.